<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRejectedBillsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('rejected_bills', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('id_owner')->index();
            $table->string('order_number')->index()->nullable();
            $table->string('sender')->index()->nullable();
            $table->string('mobile_sender')->index()->nullable();
            $table->string('logistic_number')->index()->nullable();
            $table->string('logistic_number_return')->index();
            $table->string('remark')->nullable();
            $table->bigInteger('id_logistic_return');
            $table->decimal('fee_collected')->nullable();
            $table->boolean('is_loaded')->default(false)->comment('null是无需入库，0是否，1为是,2为待推单。');
            $table->boolean('is_checked')->default(false)->nullable();
            $table->string('checked_numbers')->index()->nullable();
            $table->boolean('is_finished')->default(false)->nullable();
            $table->bigInteger('id_operator')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable()->index();
            $table->timestamp('created_at')->nullable()->index()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('rejected_bills');
    }
}
